"""First cut at a Poll class.

"""

class Poll:
	"A multiple choice poll."

	def __init__(self,question,choices):
		self.question=question
		self.choices=choices
		self.votes={}
		for choice in range(len(choices)):
			self.votes[choice]=0

	def vote(self,choice):
		"vote for a choice"
		self.votes[choice]=self.votes[choice]+1

	def total_votes(self):
		"total number of votes cast"
		total=0
		for v in self.votes.values():
			total=total+v
		return total

	def votes_for(self,choice):
		"number of votes cast for a given choice"
		return self.votes[choice]	

def test():
	p=Poll("What's for breakfast?",["spam","eggs","toast"])
	p.vote(0) # vote for spam
	p.vote(2) # vote for toast
	p.vote(0) # vote for spam
	print p.total_votes() #returns 3
	print p.votes_for(0)  #returns 2
	
if __name__=="__main__": test()
